path: /build/build/ffmpeg-virtual-9.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="libav" emerge virtual/ffmpeg -pv -t && \
    USE="libav" emerge -j ${JOBS} --nodeps virtual/ffmpeg
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/ffmpeg && luet-portage --dir /pkgdir/ffmpeg
    virtual/ffmpeg && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:718c47ce4b97f900b53b5493435e7fa6647bc912dea23f8139a577df86bc921a
  package:
    name: ffmpeg
    version: "9"
    category: virtual
    use_flags:
    - libav
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Virtual package for FFmpeg executable implementation
    uri:
    - ""
    buildtimestamp: 2023-10-05 05:43:13.223296717 +0000 UTC m=+117.108980423
    labels:
      IUSE: X +encode gsm jpeg2k libav mp3 opus sdl speex theora threads truetype
        vaapi vdpau x264
      RDEPEND: libav? ( >=media-video/libav-9.12[X?,encode?,gsm?,jpeg2k?,mp3?,opus?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?]
        ) !libav? ( >=media-video/ffmpeg-1.2.6-r1:0[X?,encode?,gsm?,jpeg2k?,mp3?,opus?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?]
        )
      emerge.packages: virtual/ffmpeg
      kit: media-kit
      original.package.name: virtual/ffmpeg
      original.package.slot: "0"
      original.package.version: 9-r2
    treedir: /build/packages
  package_dir: /pkgdir/ffmpeg
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 81cbe05e5adf1f135c2b6e2bed576580b5a37ca220b7a0f45df893af6d4bab4a
compressiontype: zstd
files:
- var/db/pkg/virtual/ffmpeg-9-r2/BUILD_TIME
- var/db/pkg/virtual/ffmpeg-9-r2/CATEGORY
- var/db/pkg/virtual/ffmpeg-9-r2/CBUILD
- var/db/pkg/virtual/ffmpeg-9-r2/CFLAGS
- var/db/pkg/virtual/ffmpeg-9-r2/CHOST
- var/db/pkg/virtual/ffmpeg-9-r2/COUNTER
- var/db/pkg/virtual/ffmpeg-9-r2/CXXFLAGS
- var/db/pkg/virtual/ffmpeg-9-r2/DEFINED_PHASES
- var/db/pkg/virtual/ffmpeg-9-r2/DESCRIPTION
- var/db/pkg/virtual/ffmpeg-9-r2/EAPI
- var/db/pkg/virtual/ffmpeg-9-r2/FEATURES
- var/db/pkg/virtual/ffmpeg-9-r2/IUSE
- var/db/pkg/virtual/ffmpeg-9-r2/IUSE_EFFECTIVE
- var/db/pkg/virtual/ffmpeg-9-r2/KEYWORDS
- var/db/pkg/virtual/ffmpeg-9-r2/LDFLAGS
- var/db/pkg/virtual/ffmpeg-9-r2/LICENSE
- var/db/pkg/virtual/ffmpeg-9-r2/PF
- var/db/pkg/virtual/ffmpeg-9-r2/RDEPEND
- var/db/pkg/virtual/ffmpeg-9-r2/SIZE
- var/db/pkg/virtual/ffmpeg-9-r2/SLOT
- var/db/pkg/virtual/ffmpeg-9-r2/USE
- var/db/pkg/virtual/ffmpeg-9-r2/environment.bz2
- var/db/pkg/virtual/ffmpeg-9-r2/ffmpeg-9-r2.ebuild
- var/db/pkg/virtual/ffmpeg-9-r2/repository
package_cacheimage: ""
runtime:
  name: ffmpeg
  version: "9"
  category: virtual
  use_flags:
  - libav
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Virtual package for FFmpeg executable implementation
  uri:
  - ""
  labels:
    IUSE: X +encode gsm jpeg2k libav mp3 opus sdl speex theora threads truetype vaapi
      vdpau x264
    RDEPEND: libav? ( >=media-video/libav-9.12[X?,encode?,gsm?,jpeg2k?,mp3?,opus?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?]
      ) !libav? ( >=media-video/ffmpeg-1.2.6-r1:0[X?,encode?,gsm?,jpeg2k?,mp3?,opus?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?]
      )
    emerge.packages: virtual/ffmpeg
    kit: media-kit
    original.package.name: virtual/ffmpeg
    original.package.slot: "0"
    original.package.version: 9-r2
